Package Details: git-ftp-git 0.8.0.r137.ga7ee732-1

Git Clone URL: (read-only)
Package Base: git-ftp-git
Description: A shell script for pushing git tracked changed files to a remote host by FTP
Upstream URL:
Licenses: GPL
Conflicts: git-ftp
Provides: git-ftp-git
Submitter: kamils
Maintainer: None
Last Packager: ids1024
Votes: 10
Popularity: 0.000000
First Submitted: 2010-12-11 00:51
Last Updated: 2015-06-13 03:18

Required by (0)

Sources (1)

Latest Comments

stativ commented on 2016-07-14 18:56

The package fails, because the Makefile doesn't use DESTDIR. In order to make it work, I had to change the make line to:

make prefix="$pkgdir/usr" install

neojski commented on 2015-05-26 15:06

I had to change the make line to 'make DESTDIR="$pkgdir/usr/" install' to make this work. Otherwise, I was getting 'git-ftp-git: /bin exists in filesystem' error. Flagging this as out of date.

ids1024 commented on 2015-05-14 05:01

I can't see a reason for the out-of-date flag, since this is a git package and seems to build fine. Removing for now; comment if there is something wrong.

neojski commented on 2013-12-10 21:14

Hi, I get the following error for this package:
==> Starting package()...
make: *** No rule to make target 'install'. Stop.
==> ERROR: A failure occurred in package().
==> ERROR: Makepkg was unable to build git-ftp.

SneakySnake commented on 2013-09-02 11:00

git ftp makes my life so much easier! Wonderful tool!

kamils commented on 2013-04-25 09:03

@jbanks Thanks for noticing. Updated.

jbanks commented on 2013-04-22 11:10

The project has moved git directory and needs updated to follow.

kamils commented on 2013-02-04 16:34

@julionc Right, thanks for noticing this. I've also updated to 0.8.3.

julionc commented on 2013-01-29 22:05

@kamil-s Maybe you should add git-ftp into conflicts.

kamils commented on 2012-10-15 22:07

@rumpelsepp Thanks for noticing. Should be OK now.

rumpelsepp commented on 2012-10-14 18:45

The zipball link is broken. :)

kamils commented on 2012-05-03 07:19

@rzelnik Thank for noticing this. Fixed.

rzelnik commented on 2012-05-03 06:23

First of all, thank you for the git-ftp AUR package. I have noticed in the README file that git-ftp depends on curl. Does it mean that curl should be added to the depends in a PKGBUILD file?

kamils commented on 2011-07-27 17:06

Why should they be renamed? They are markdown. I don't want to convert them automatically because I'd have to include pandoc in the dependencies, and it takes a lot of time to compile, way more than git-ftp itself. I've put this info in a post-install warning.

tulcod commented on 2011-07-27 14:19 and are installed without renaming on my machine, as well as the man page.

tulcod commented on 2011-07-27 14:11 and are installed without renaming here.

kamils commented on 2011-03-30 20:27

Should be ok now.

Anonymous comment on 2011-03-30 08:29

INSTALL and README files in the git repository changed to and, but PKGBUILD needs the first ones.